# Integration

The general flow of the integration can be decomposed into the following steps:&#x20;

1. Conforming to the prerequisites, e.g. setting up Android `minSdkVersion`.
2. Adding the dependency.
3. Setting up the configuration for the application, e.g. package name or whether it is production or not (see [#dev-vs.-release-version](#dev-vs.-release-version "mention")).
4. Handling the detected threats (callbacks).
5. Starting the SDK.
6. Enabling the source code obfuscation.
7. Registering in [Data Visualisation Portal](/freerasp/freerasp/data-visualisation-portal.md) to see the data from your apps and compare it to global statistics.
8. Become familiar with [User Data Policies](/freerasp/terms-of-service/user-data-policies.md) and [License](/freerasp/terms-of-service/license.md).
9. Looking at [freeMalwareDetection](broken://spaces/RJnOHq20NKRNQvVxPAdV), to provide an additional layer of protection by detecting malware or suspicious applications.
10. Looking at [Features and Pricing Plans](/freerasp/freerasp/features-and-pricing-plans.md) if you are interested in more advanced solutions to protect your application and business.
11. Reading through [Wiki](/freerasp/freerasp/wiki.md) and [FAQ](/freerasp/freerasp/faq.md), if you are interested in more detailed information about internal workings.

### Dev vs. Release version

The **Dev version** is intended for development purposes. It allows you to work on your app without interference from security features that could disrupt the process, e.g. if you would implement killing of the application on the debugger callback.&#x20;

The **Release version** is meant for production and must always be used for your published app. It enables all security protections provided by freeRASP.

To configure this, set the `isProd` flag in freeRASP:

* Release:  `isProd = true`
* Dev: `isProd = false`

**⚠️Dev** version **disables** some detections which won't be triggered during the development process:

* Emulator/Simulator
* Debugging
* Tampering/Repackaging
* Unofficial store/source
* Obfuscation issues
* Developer mode
* ADB Enabled

{% hint style="warning" %}
Make sure that you use the **Release** version for the production.
{% endhint %}

***

### Choose the Appropriate Version to Continue Integration

Choose the relevant section based on your app development platform:

<table data-view="cards"><thead><tr><th></th><th data-hidden></th><th data-hidden></th><th data-hidden data-card-target data-type="content-ref"></th><th data-hidden data-card-cover data-type="image">Cover image</th></tr></thead><tbody><tr><td>Android</td><td></td><td></td><td><a href="/pages/hV1CcgHNYWnROTU41aUS">/pages/hV1CcgHNYWnROTU41aUS</a></td><td><a href="/files/ZMy75u2z1S6Zkum3MOIw">/files/ZMy75u2z1S6Zkum3MOIw</a></td></tr><tr><td>iOS</td><td></td><td></td><td><a href="/pages/ao7zgMvLW4p0InguhTmn">/pages/ao7zgMvLW4p0InguhTmn</a></td><td><a href="/files/U53CkOgOAPxSIg2HmCfl">/files/U53CkOgOAPxSIg2HmCfl</a></td></tr><tr><td>Flutter</td><td></td><td></td><td><a href="/pages/El541xugD41bzx1UYJFq">/pages/El541xugD41bzx1UYJFq</a></td><td><a href="/files/H7t6csfVDDojNcE7DWYi">/files/H7t6csfVDDojNcE7DWYi</a></td></tr><tr><td>React Native</td><td></td><td></td><td><a href="/pages/fFx21Cp5KGEqw6yCDCRm">/pages/fFx21Cp5KGEqw6yCDCRm</a></td><td><a href="/files/08UW56bEC1H0UWBtAhkV">/files/08UW56bEC1H0UWBtAhkV</a></td></tr><tr><td>Cordova</td><td></td><td></td><td><a href="/pages/YPj9prDMjSp7Za6CQhFU">/pages/YPj9prDMjSp7Za6CQhFU</a></td><td><a href="/files/2R9uqGgIdFiBcGNq0lGR">/files/2R9uqGgIdFiBcGNq0lGR</a></td></tr><tr><td>Capacitor</td><td></td><td></td><td><a href="/pages/zRcRN0wtoj6ZbbYN94iV">/pages/zRcRN0wtoj6ZbbYN94iV</a></td><td><a href="/files/970CLtAwTZcun0us486O">/files/970CLtAwTZcun0us486O</a></td></tr><tr><td>Kotlin Multiplatform</td><td></td><td></td><td><a href="/pages/WmsOJyQT6DjuJEfer7a8">/pages/WmsOJyQT6DjuJEfer7a8</a></td><td><a href="/files/LCUM3O43Wcz7XZ5QuUBQ">/files/LCUM3O43Wcz7XZ5QuUBQ</a></td></tr><tr><td>Unity</td><td></td><td></td><td><a href="/pages/2F7QdiJoa5rkaENZQT9B">/pages/2F7QdiJoa5rkaENZQT9B</a></td><td><a href="/files/egGqo5slMsMQFGeEoAUc">/files/egGqo5slMsMQFGeEoAUc</a></td></tr><tr><td>Unreal Engine</td><td></td><td></td><td><a href="/pages/HJmavrZ8cEFZTf5fSBID">/pages/HJmavrZ8cEFZTf5fSBID</a></td><td><a href="/files/egGqo5slMsMQFGeEoAUc">/files/egGqo5slMsMQFGeEoAUc</a></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.talsec.app/freerasp/freerasp/integration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
